/**
 * The equivalent of a SQL DML.
 **/
Sql.Dml = new Class
({
	Extends: Sql.Stmt
	
	,field: []
	,expr: []

	,addSet: function (fieldName, value)
	{
		this.expr.push (new Sql.Value ({value: value}));
		this.field.push (new Sql.Field ({name: fieldName}));
	}

	,addExpr: function (fieldName, expr)
	{
		this.expr.push (expr);
		this.field.push (new Sql.Field ({name: fieldName}));
	}

	,delSet: function ()
	{
		this.field.splice (0, this.field.length);
		this.expr.splice (0, this.expr.length);
	}
});
