/**
 * The equivalent of a SQL operation.
 **/
Sql.FilterItem = new Class
({
	Extends: Sql.Operation
	,Tag: 'sql-filter-item'
	,Properties:
	{
		disabled:
		{
			type: Boolean
			,set: function (x)
			{
				this._disabled = x;
			}
			,get: function ()
			{
				return this._disabled;
			}
		},
		primary:
		{
			type: Boolean
		}
	}
	
	,primary: true
	
	,isReady: function ()
	{
		if (this._disabled)
			return false;
			
		return this.parent ();
	}
});
